# Fetch invoice commissions

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/commissions/invoice`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

**Request Body (Empty JSON)**

```
{ }
```

**Request JSON attributes**

| Name | Type | Description |
| ---- | ---- | ----------- |
| -    | -    | -           |

**Response body**

{% tabs %}
{% tab title="200 invoice commissions" %}

```json
{
   "merchantId": "String",
   "amountInPayCurrencyCommission": Number,
   "merchantIncomingCommission": Number,
   "depositBlockchainFeeType": "String",
   "monetaries":[
      {
         "monetary":"String",
         "rateCommission": Number,
         "depositBlockchainFee":Number,
         "complexCommission": Number
      },
      ...
   ]
}

```

{% endtab %}
{% endtabs %}

**Response JSON attributes**

<table data-header-hidden><thead><tr><th width="388.3333333333333"></th><th width="137"></th><th></th></tr></thead><tbody><tr><td><code>"merchantId"</code></td><td><code>String</code></td><td>ID Merchant</td></tr><tr><td><code>"amountInPayCurrencyCommission"</code></td><td><code>Number</code></td><td>Amount in pay currency commission</td></tr><tr><td><code>"merchantIncomingCommission"</code></td><td><code>Number</code></td><td>Merchant incoming comission</td></tr><tr><td><code>"depositBlockchainFeeType"</code></td><td><code>String</code></td><td>Possible values: CLIENT or MERCHANT</td></tr><tr><td><code>"monetaries"</code></td><td><code>JSON Array</code></td><td>Array of invoice commission by monetary</td></tr><tr><td><code>"monetaries.monetary"</code></td><td><code>String</code></td><td>Monetary (payCurrency)</td></tr><tr><td><code>"monetaries.rateCommission"</code></td><td><code>Number</code></td><td>Rate commission</td></tr><tr><td><code>"monetaries.depositBlockchainFee"</code></td><td><code>Number</code></td><td>Deposit blockchain fee by payCurrency</td></tr><tr><td><code>"monetaries.complexCommission"</code></td><td><code>Number</code></td><td>Complex commission (if set)</td></tr></tbody></table>

**Request curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/commissions/invoice' \
--header 'X-EX-APIKEY: <string>' \
--header 'X-EX-PAYLOAD: <string>' \
--header 'X-EX-SIGNATURE: <string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```

**Example Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/commissions/invoice' \
--header 'X-EX-APIKEY: test_api_key_123456' \
--header 'X-EX-PAYLOAD: e30=' \
--header 'X-EX-SIGNATURE: dummy_signature_abc123' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data-raw '{}'

```
